rte_eth_ip_reassembly_dynfield_t(3)

NAME
rte_eth_ip_reassembly_dynfield_t

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

struct rte_mbuf * next_frag
uint16_t time_spent
uint16_t nb_frags

Detailed Description

In case of IP reassembly offload failure, packet will be updated with dynamic flag - RTE_MBUF_DYNFLAG_IP_REASSEMBLY_INCOMPLETE_NAME and packets will be returned without alteration. The application can retrieve the attached fragments using mbuf dynamic field RTE_MBUF_DYNFIELD_IP_REASSEMBLY_NAME.

Definition at line 5972 of file rte_ethdev.h.

Field Documentation

  struct rte_mbuf* next_frag
Next fragment packet. Application should fetch dynamic field of each fragment until a NULL is received and nb_frags is 0.

Definition at line 5977 of file rte_ethdev.h.

  uint16_t time_spent
Time spent(in ms) by HW in waiting for further fragments.

Definition at line 5979 of file rte_ethdev.h.

  uint16_t nb_frags
Number of more fragments attached in mbuf dynamic fields.

Definition at line 5981 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.